/*
 * mxisd - Matrix Identity Server Daemon
 * Copyright (C) 2017 Kamax Sarl
 *
 * https://www.kamax.io/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package io.kamax.mxisd.http;

import static io.kamax.mxisd.util.RestClientUtils.urlEncode;

public class IsAPIv1 {

    public static final String Base = "/_matrix/identity/api/v1";

    public static String getValidate(String medium, String sid, String secret, String token) {
        return String.format("%s/validate/%s/submitToken?sid=%s&client_secret=%s&token=%s",
            Base,
            medium,
            urlEncode(sid),
            urlEncode(secret),
            urlEncode(token)
        );
    }
}
